.\" -*- nroff -*-
.\" $Id: lprps.man,v 1.3 1992/02/01 12:45:35 jjc Exp $
.de TQ
.br
.ns
.TP \\$1
..
.TH LPRPS @MAN8EXT@
.SH NAME
lprps \- lpr PostScript communication filter
.SH SYNOPSIS
.B lprps
[
.B \-M
]
[
.BI \-U user
]
[
.B \-c
]
[
.BI \-w n
]
[
.BI \-l n
]
[
.BI \-x n
]
[
.BI \-y n
]
[
.BI \-i n
]
[
.BI \-n \ login_name
]
[
.BI \-h \ host
]
[
.BI \-j \ job
]
[
.BI \-p \ printer
]
[
.BI \-s \ status_file
]
[
.I accounting_file
]
.SH DESCRIPTION
.B lprps
handles communication with a PostScript printer for lpr output filters.
The PostScript printer must be connected using a bidirectional serial channel.
Each output filter should be a pipeline with
.B lprps\ "$@"
as the last command.
The other commands in the pipeline should handle conversion into PostScript
and possibly page reversal.
The command-line syntax of
.B lprps
is such that any argument vector
which
.B lpd
might pass to an output file is a legal argument vector for
.BR lprps .
The
.B psof
output filter can be used in conjunction with
.BR lprps .
.LP
Output generated by the PostScript document and errors caused by
defects in the PostScript file are mailed back to the user
(identified by the
.B \-n
and
.B \-h
options).
If the
.B \-M
option is given, this output will instead be written
to the standard error file,
which the spooling system will copy
to the error logging file specified by the
.B lf
capability
(some versions of lpr have a bug which prevents this happening.)
Other errors 
(such as `out of paper' errors)
are logged using syslog with the
.B LOG_LPR
facility.
.B lprps
attempts to update the status file
(the contents of which are displayed by lpq)
with the printer's status.
.LP
.B lprps
supports printer accounting.
If this facility is required,
a file to contain the accounting information must be specified in 
.B af
capability in the printcap file.
This file should exist, have mode 644 and be owned by daemon.
The name of this file will be passed to
.B lprps
in the
.I accounting_file
argument.
For each job,
.B lprps
will append to this file an accounting record specifying the user's name
and host together with the number of pages used.
The
.BR pac (8)
command can then be used to generate an accounting report.
The accounting information should be reliable except when
the printer has been turned off or disconnected in the middle of a job.
.SH OPTIONS
.LP
The following options can be supplied by the output filter script
that calls
.BR lprps :
.TP \w'\fB\-U\fIuser'u+3n
.BI \-U user
.I user
is not a real user;
errors from jobs for
.I user
will not be mailed back to
.IR user
but will instead be written to stderr.
This option is intended for sites that
have software packages (eg Interleaf) that spool user's jobs using
another userid (eg daemon).
.TP
.B \-M
Don't mail errors back to the user;
errors will be written to stderr.
.LP
The following options are automatically supplied by the spooling system:
.TP \w'\fB\-n\ \fIname'u+3n
.BI \-n \ name
The user's login name is
.IR name .
.TP
.BI \-h \ host
The user's host machine is
.IR host .
.TP
.B \-c
.TQ
.BI \-x n
.TQ
.BI \-y n
.TQ
.BI \-w n
.TQ
.BI \-l n
.TQ
.BI \-i n
These options are ignored.
.LP
The following options are not supplied by the standard version of
the lpr spooling system and
.B lprps
does not require them.
However, the lpr system can be modified to supply these options;
.B lprps
will work slightly better with such a system.
.TP \w'\fB\-s\fI\ status_file'u+3n
.BI \-j \ job
The job name is
.IR job .
.B lprps
will include this in messages mailed to the user.
.TP
.BI \-p \ printer
The printer name is
.IR printer .
.B lprps
will use this in some error messages,
and in messages written to the status file.
If this option is not specified,
.B lprps
will attempt to deduce the printer name from the contents of
the status file.
This option might also be specified in the output filter script.
.TP
.BI \-s \ status_file
The name of the status file is
.IR status_file .
The name used by the spooling system for the status file
can be changed by the
.B st
capability in the printcap entry.
If this option is not specified,
.B lprps
will assume that the name is the default
.BR status .
This option might also be specified in the output filter script.
.SH "SEE ALSO"
.BR textps (@MAN1EXT@),
.BR psrev (@MAN1EXT@),
.BR syslog.conf (5),
.BR psif (@MAN8EXT@),
.BR psof (@MAN8EXT@),
.BR pac (8),
.BR lpd (8)
